GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::CP246ExplicitDataElement Class Reference

Class to read/write a DataElement as CP246Explicit Data Element. More...

`#include <gdcmCP246ExplicitDataElement.h>`

Inheritance diagram for gdcm::CP246ExplicitDataElement:
[legend]
Collaboration diagram for gdcm::CP246ExplicitDataElement:
[legend]

List of all members.

## Public Member Functions

VL | GetLength () const
template<typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TSwap >
std::istream & | ReadPreValue (std::istream &is)
template<typename TSwap >
std::istream & | ReadValue (std::istream &is)
template<typename TSwap >
std::istream & | ReadWithLength (std::istream &is, VL &length)

## Detailed Description

Class to read/write a DataElement as CP246Explicit Data Element.

Note:
  Some system are producing SQ, declare them as UN, but encode the SQ as 'Explicit' instead of Implicit

## Member Function Documentation

VL gdcm::CP246ExplicitDataElement::GetLength | ( |  | ) | const

Reimplemented from gdcm::DataElement.

template<typename TSwap >

std::istream& gdcm::CP246ExplicitDataElement::Read | ( | std::istream & | is | ) |

Reimplemented from gdcm::DataElement.

template<typename TSwap >

std::istream& gdcm::CP246ExplicitDataElement::ReadPreValue | ( | std::istream & | is | ) |

template<typename TSwap >

std::istream& gdcm::CP246ExplicitDataElement::ReadValue | ( | std::istream & | is | ) |

template<typename TSwap >

std::istream& gdcm::CP246ExplicitDataElement::ReadWithLength | ( | std::istream & | is,
|  | VL & | length
| ) |  |

Reimplemented from gdcm::DataElement.

The documentation for this class was generated from the following file:

- gdcmCP246ExplicitDataElement.h